Page MenuHomePhabricator

how to get back to A/B testing?
Closed, ResolvedPublic2 Story Points

Description

We need to be able to a/b test different versions of the same form. We used to have this. How do we get back there relatively quickly but in a way that isn't super annoying for fr-tech

Event Timeline

DStrine created this task.Aug 22 2017, 8:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2017, 8:04 PM

It sounds like the banner setup can split the population for the A/B test. We need to investigate this and give clear instructions to fr-online.

Change 376850 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Allow alternate configurations with 'variant' option

https://gerrit.wikimedia.org/r/376850

Change 377312 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] UI modules are part of the configuration

https://gerrit.wikimedia.org/r/377312

Ejegg claimed this task.Sep 11 2017, 5:47 PM
Ejegg set the point value for this task to 2.

Change 376850 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Allow alternate configurations with 'variant' option

https://gerrit.wikimedia.org/r/376850

Change 377312 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] UI modules are part of the configuration

https://gerrit.wikimedia.org/r/377312

Change 377822 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Fix case on AstroPay and PayPal legacy UI modules

https://gerrit.wikimedia.org/r/377822

Change 377822 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Fix case on AstroPay and PayPal legacy UI modules

https://gerrit.wikimedia.org/r/377822

DStrine renamed this task from Spike: how to get back to A/B testing? to how to get back to A/B testing?.Sep 13 2017, 7:49 PM
DStrine removed a project: Spike.

Change 377896 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@deployment] Fix case on AstroPay and PayPal legacy UI modules

https://gerrit.wikimedia.org/r/377896

Change 377896 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@deployment] Fix case on AstroPay and PayPal legacy UI modules

https://gerrit.wikimedia.org/r/377896

Change 379079 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Record the form variant in contribution tracking

https://gerrit.wikimedia.org/r/379079

Change 379079 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Record the form variant in contribution tracking

https://gerrit.wikimedia.org/r/379079

Ejegg closed this task as Resolved.Sep 26 2017, 12:08 AM